#
# spec file for package itk
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define snapshot -20170728

Name:           itk
BuildRequires:  itcl-devel >= 4.0.0
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
Version:        4.1.0
Release:        2.19
Summary:        Object Oriented Extension for Tcl
License:        MIT
Group:          Development/Languages/Tcl
Provides:       itcl:/usr/share/man/mann/itk.n.gz
Requires:       itcl
Requires:       tcl >= %{tcl_version}
Requires:       tk >= %{tcl_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name%version%snapshot.tar.gz

%description
Incr Tcl adds object-oriented programming facilities to Tcl.  It was
NOT designed as another whiz-bang, object-oriented programming
language. It is patterned somewhat after C++.  It was designed to
support more structured programming in Tcl.  Scripts that grow beyond a
few thousand lines become extremely difficult to maintain. [incr Tcl]
attacks this problem in the same way that any object- oriented
programming language would, by providing mechanisms for data
encapsulation behind well-defined interfaces.



Authors:
--------
    Michael J. McLennan <michael.mclennan@att.com>
    Dr. John Ousterhout <john.ousterhout@eng.sun.com>

%prep
%setup -q -n %name%version

%build
itclver=$(echo 'puts [package require itcl]' | tclsh)
%configure --with-itcl=%tcl_archdir/itcl$itclver
make

%install
%makeinstall pkglibdir=%tcl_archdir/%name%version
# We don't need the headers
rm -rf %buildroot/%_includedir

%files
%defattr(-,root,root)
%doc license.terms
%doc %_mandir/mann/*
%_libdir/tcl

%changelog
* Wed Feb 14 2018 crrodriguez@opensuse.org
- Remove buildRequires on xorg-x11-devel
- fix package requires.
* Thu Oct  5 2017 max@suse.com
- Use a current 4.1.0 snapshot to fix a segfault with Tcl/Tk 8.6.7.
* Thu Jun 20 2013 max@suse.com
- Snapshot of 4.0.0 for compatibility with Tcl/Tk 8.6.
* Mon May 19 2008 max@suse.de
- itk requires itcl
* Fri Apr 25 2008 max@suse.de
- Added split-provides.
* Fri Apr  4 2008 max@suse.de
- Update to version 3.4 from CVS, which works with Tcl 8.5.
- Separate itcl and itk source packages
* Wed May 16 2007 olh@suse.de
- remove unused libusb from Buildrequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 ro@suse.de
- fixed syntax error in tcl configure
* Tue Jun 14 2005 max@suse.de
- Updated to current CVS snapshot.
- Moved script libraries to /usr/share/tcl .
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Tue Aug 17 2004 max@suse.de
- Updated to current CVS snapshot.
- Cleaned up the spec file from lots of old cruft.
- Disabled running the test suite due to problems with Xvfb.
* Sat Apr 24 2004 sndirsch@suse.de
- fixed neededforbuild (XFree86 --> xorg-x11)
* Sun Feb 22 2004 ro@suse.de
- added libusb and resmgr to neededforbuild
* Fri Feb  6 2004 max@suse.de
- Added -fno-strict-aliasing to CFLAGS.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Jul 23 2003 max@suse.de
- Added tk-devel to neededforbuild.
* Thu Jan  9 2003 ro@suse.de
- added freetype2 to neededforbuild (needed to run Xvfb)
* Thu Nov 28 2002 max@suse.de
- Itcl is a source package of it's own now.
  For older history see the change log of the tcl package.
- New CVS snapshot: itcl3.3-20021030
- Build with threading support if Tcl was built to support threads.
- Place the libraries in libdir instead of libdir/itcl3.3
- Running the testsuite during build. The following tests are known
  to fail currently: basic-5.6a, mkindex-1.3, interp-1.2
